#ifndef __core__json_h
#define __core__json_h
#include "../../dep/json/json.h"
namespace JSON {
std::string GetString(nlohmann::json const& json, nlohmann::json::json_pointer const& ptr, std::string def = "");
int GetInt(nlohmann::json const& json, nlohmann::json::json_pointer const& ptr, int def = 0);
bool GetBoolean(nlohmann::json const& json, nlohmann::json::json_pointer const& ptr, bool def = false);
double GetDouble(nlohmann::json const& json, nlohmann::json::json_pointer const& ptr, double def = 0);
} // namespace JSON
#endif // __core__json_h